> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search FileSets

> Searches for FileSets based on filter criteria.



## OpenAPI

````yaml /openapi/product/filesets.yaml post /api/files/v1/filesets/search
openapi: 3.0.0
info:
  title: FileSets API (BETA) (Product)
  version: v1
  description: >
    <Note>

    BETA: This API is currently in BETA and is subject to change. 

    Endpoints, request/response formats, and functionality may change without
    notice.

    <Note>

    API for managing FileSets and Files in Domo.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: File
    description: Operations for managing individual files within a FileSet.
  - name: FileSet
    description: Operations for managing FileSets (collections of files).
paths:
  /api/files/v1/filesets/search:
    post:
      tags:
        - FileSets API (BETA) (Product)
      summary: Search FileSets
      description: Searches for FileSets based on filter criteria.
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 100
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
      requestBody:
        description: Search criteria. Send an empty object {} to list all.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchBody'
      responses:
        '200':
          description: A list of matching FileSets.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchFileSetsResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    SearchBody:
      description: Body for search operations on Files or FileSets.
      type: object
      properties:
        fieldSort:
          type: array
          items:
            $ref: '#/components/schemas/FieldSort'
        filters:
          type: array
          items:
            $ref: '#/components/schemas/Filter'
        dateFilters:
          type: array
          items:
            $ref: '#/components/schemas/DateFilter'
    SearchFileSetsResponse:
      type: object
      properties:
        fileSets:
          type: array
          items:
            $ref: '#/components/schemas/FileSetMetadataSearch'
        pageContext:
          $ref: '#/components/schemas/PageContext'
    FieldSort:
      type: object
      properties:
        field:
          type: string
          description: Field name to sort by.
        order:
          type: string
          description: Sort direction.
          enum:
            - ASC
            - DESC
    Filter:
      type: object
      properties:
        field:
          type: string
          description: Field name to filter on.
        value:
          type: array
          items:
            type: string
          description: Values to match against.
        not:
          type: boolean
          default: false
        operator:
          type: string
          description: 'Operation type: ''EQUALS'', ''IN'', ''LIKE'', etc.'
          enum:
            - EQUALS
            - GREATER_THAN
            - LESS_THAN
            - LESS_THAN_OR_EQUAL
            - GREATER_THAN_OR_EQUAL
            - IN
            - IS_NULL
            - LIKE
    DateFilter:
      type: object
      properties:
        field:
          type: string
          description: Field name for date filter (e.g., 'created').
        start:
          type: string
          format: date-time
          description: Start timestamp as ISO string.
        end:
          type: string
          format: date-time
          description: End timestamp as ISO string.
        not:
          type: boolean
          default: false
    FileSetMetadataSearch:
      description: Metadata for a FileSet as returned by search.
      allOf:
        - $ref: '#/components/schemas/FileSetMetadataBase'
        - type: object
          properties:
            updated:
              type: string
              format: date-time
            updatedBy:
              type: integer
            owner:
              type: string
            permission:
              type: string
            fileCount:
              type: integer
    PageContext:
      type: object
      properties:
        next:
          type: string
          nullable: true
          description: Pagination token for fetching the next set of results.
        offset:
          type: integer
        limit:
          type: integer
        total:
          type: integer
    FileSetMetadataBase:
      description: Base metadata for a FileSet.
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        createdBy:
          type: integer
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````